Summary: Cisco Tacacs+ Daemon
Name: tac_plus
Version: 4.0.3
Release: 2
Copyright: Cisco Systems
Group: Networking/Daemons
Source0:tac_plus-4.0.3.tgz
Source1:tacacs
BuildRoot:/var/tmp/tacacsd
Packager: Devrim SERAL(devrim@tef.gazi.edu.tr)

%changelog
* Wed Aug 4 1999 Erhan Bilgili <erhan@altay.adm.deu.edu.tr>
- fixes for the RPM_OPT_FLAGS
- change the buildroot to /var/tmp/tacacsd

* Wed Aug 4 1999 Devrim SERAL<devrim@tef.gazi.edu.tr>
- I just re-did the spec file
- And added Tacac FAQ

%description
TACACS, which is as acronym for Terminal Access Controller by Cisco Systems. 
Tacacs, allow a network access server (NAS, for example a Cisco 2511 or a
5300) to offload the user administation to a central server.

%prep 

%setup 

%build
make CFLAGS="$RPM_OPT_FLAGS -DLINUX -DGLIBC -DMAXESS -DTAC_PLUS_PID_FILE=\"/var/run/tac_plus.pid\"" tac_plus
%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/{,etc/{,tacacs,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,local/{,sbin,man/{,man1}}}}

for i in 3 4 5
do
ln -sf ../init.d/tacacs ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/S55tacacs
done

for i in 0 1 2 6
do
ln -sf ../init.d/tacacs ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/K55tacacs
done

install -s -m 755 -o 0 -g 0 tac_plus ${RPM_BUILD_ROOT}/usr/local/sbin/tac_plus
install -s -m 755 -o 0 -g 0 generate_passwd ${RPM_BUILD_ROOT}/usr/local/sbin/generate_passwd
install -s -m 755 -o 0 -g 0 convert.pl ${RPM_BUILD_ROOT}/usr/local/sbin/convert.pl
install -s -m 755 -o 0 -g 0 tac_plus.cfg ${RPM_BUILD_ROOT}/etc/tacacs/tac_plus.cfg
install -s -m 755 -o 0 -g 0 %SOURCE1 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/tacacs
install -m 644 -o 0 -g 0 tac_plus.1 ${RPM_BUILD_ROOT}/usr/local/man/man1/tac_plus.1
install -m 555 ${RPM_SOURCE_DIR}/tacacs ${RPM_BUILD_ROOT}/etc/rc.d/init.d


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc users_guide CHANGES README 
%doc ./tacacs-faq
/usr/local/sbin/tac_plus
/usr/local/sbin/generate_passwd
/usr/local/sbin/convert.pl
/usr/local/man/man1/tac_plus.1

%config /etc/tacacs/tac_plus.cfg
%config /etc/rc.d/init.d/tacacs
%config(missingok) /etc/rc.d/rc0.d/K55tacacs
%config(missingok) /etc/rc.d/rc1.d/K55tacacs
%config(missingok) /etc/rc.d/rc2.d/K55tacacs
%config(missingok) /etc/rc.d/rc3.d/S55tacacs
%config(missingok) /etc/rc.d/rc4.d/S55tacacs
%config(missingok) /etc/rc.d/rc5.d/S55tacacs
%config(missingok) /etc/rc.d/rc6.d/K55tacacs

